.ant-modal {
  @include bp(xs-md) {
    top: 45px;
    padding: 0 15px;
    margin: 0 auto;
  }
}

.product-modal {
  .ant-modal {
    width: 640px !important;
  }
}

.register-influencer {
  .ant-modal-header,
  .ant-modal-body {
    padding: 0;
  }

  .ant-modal-footer {
    display: none;
  }
}

.modal-fullscreen-cover {
  margin: -24px;
}

.custom-modal {
  background: #f7fafd !important;

  .ant-modal-content {
    padding: 0 0 100px;
  }

  .ant-modal-title {
    font-size: 26px;
    font-weight: bold;
    color: $brand-primary;
    margin-bottom: 20px;
  }

  .ant-modal-content,
  .ant-modal-header {
    background: none;
    box-shadow: none;
  }

  .ant-form-horizontal {
    .ant-form-item-label {
      padding-right: 20px;

      label {
        padding: 4px 0;
        display: inline-block;
        color: $gray-5;
      }
    }

    .ant-input-number + .ant-form-text {
      margin-left: 20px;
      color: $gray-5;
    }
  }

  p {
    color: $gray-6;
    margin-bottom: 0;
  }

  &.large-modal {
    .ant-modal {
      width: 940px !important;
    }
  }

  .ant-modal-close {
    margin-top: 6px;
  }

  &.footer-center {
    .ant-modal-footer {
      display: flex;
      justify-content: center;
    }
  }
}

.ant-modal-close {
  position: fixed;
  right: 30px;
  top: 30px;
}

.ant-modal-wrap.title-center {
  .ant-modal-title,
  .modal-headline {
    text-align: center;
  }
}

.ant-modal-wrap {
  &.ant-modal-borderless {
    .ant-modal-footer,
    .ant-modal-header,
    .ant-modal-body {
      border: none;
    }

    .ant-modal-header {
      .ant-modal-title {
        margin-bottom: 0;
      }
    }
  }

  &.no-padding {
    .ant-modal-body {
      padding: 0;
    }
  }
}

.separate-parts {
  .ant-modal-body {
    padding: 0;
  }

  .ant-row.ant-form-item {
    border-bottom: 1px solid $border-color;
    padding: 30px 0;
    margin-bottom: 0;

    .ant-form-item {
      padding: 0;
      border: none;
    }
  }
  .ant-row.ant-form-item.has-child {
    padding: 30px 0 0 0;
    border-bottom: none;
  }

  .ant-form-item [class^="ant-col-"] > .ant-form-item:only-child {
    margin-bottom: 0;
  }
}

.ant-modal-full-width .ant-modal {
  width: 100% !important;
  max-width: 1600px;
}

.modal-headline {
  max-width: 700px;
  margin: 0 auto 30px;

  h4 {
    color: $brand-primary;
    margin-bottom: 10px;

    & + p {
      font-size: 22px;
      font-weight: 500;
    }
  }
}

.box-parts {
  .ant-modal {
    width: 100% !important;
    max-width: 780px;

    .part {
      margin: 30px 0;
    }

    .ant-modal-header,
    .ant-modal-body,
    .ant-modal-footer {
      border: none !important;
      padding: 0;
    }

    .ant-modal-footer {
      display: flex;
      justify-content: center;
      padding: 10px 0;
    }

    .description {
      font-size: 18px;
      text-align: center;
      max-width: 630px;
      margin: -10px auto 0;
    }

    .slam-dunk {
      @include bp(md) {
        margin-top: 70px;
      }
    }
  }
}

.send-products-modal {
  .ant-modal-footer {
    position: fixed;
    bottom: 30px;
    left: 50%;
    margin-left: -200px;
  }
}

.footer-direction-columns {
  .ant-modal-footer {
    flex-direction: column;
  }
}

.ant-modal-wrap.custom-modal.smaller-size {
  .ant-modal {
    max-width: 520px;
  }
}

.ant-invite-modal {
  .ant-modal-header {
    margin-top: 30px;
  }

  .ant-steps-top {
    position: absolute;
    top: -90px;
  }
}
